SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
SLNet::RakNetGUID Struct Reference

`#include <slikenet/types.h>`

## Public Member Functions

| RakNetGUID ()
| RakNetGUID (uint64_t _g)
const char * | ToString (void) const
void | ToString (char *dest) const
void | ToString (char *dest, size_t destSize) const
bool | FromString (const char *source)
RakNetGUID & | operator= (const RakNetGUID &input)
bool | operator== (const RakNetGUID &right) const
bool | operator!= (const RakNetGUID &right) const
bool | operator> (const RakNetGUID &right) const
bool | operator< (const RakNetGUID &right) const

## Static Public Member Functions

static unsigned long | ToUint32 (const RakNetGUID &g)
static int | size ()

## Public Attributes

uint64_t | g
SystemIndex | systemIndex

## Detailed Description

Uniquely identifies an instance of RakPeer. Use RakPeer::GetGuidFromSystemAddress() and RakPeer::GetSystemAddressFromGuid() to go between SystemAddress and RakNetGUID Use RakPeer::GetGuidFromSystemAddress(UNASSIGNED_SYSTEM_ADDRESS) to get your own GUID

Definition at line 323 of file types.h.

## Constructor & Destructor Documentation

RakNetGUID::RakNetGUID | ( |  | ) |

Definition at line 744 of file RakNetTypes.cpp.

References systemIndex, and SLNet::UNASSIGNED_RAKNET_GUID().

SLNet::RakNetGUID::RakNetGUID | ( | uint64_t | _g | ) |

inlineexplicit

Definition at line 326 of file types.h.

## Member Function Documentation

bool RakNetGUID::FromString | ( | const char * | source | ) |

Definition at line 799 of file RakNetTypes.cpp.

References g.

bool RakNetGUID::operator!= | ( | const RakNetGUID & | right | ) | const

Definition at line 753 of file RakNetTypes.cpp.

References g.

bool RakNetGUID::operator< | ( | const RakNetGUID & | right | ) | const

Definition at line 761 of file RakNetTypes.cpp.

References g.

RakNetGUID& SLNet::RakNetGUID::operator= | ( | const RakNetGUID & | input | ) |

inline

Definition at line 345 of file types.h.

References g, and systemIndex.

bool RakNetGUID::operator== | ( | const RakNetGUID & | right | ) | const

Definition at line 749 of file RakNetTypes.cpp.

References g.

bool RakNetGUID::operator> | ( | const RakNetGUID & | right | ) | const

Definition at line 757 of file RakNetTypes.cpp.

References g.

static int SLNet::RakNetGUID::size | ( | void |  | ) |

inlinestatic

Definition at line 354 of file types.h.

Referenced by SLNet::ProcessOfflineNetworkPacket(), SLNet::RakPeer::RunUpdateCycle(), and SLNet::RakPeer::SendOutOfBand().

const char * RakNetGUID::ToString | ( | void |  | ) | const

Definition at line 765 of file RakNetTypes.cpp.

Referenced by SLNet::AddressOrGUID::ToString().

void RakNetGUID::ToString | ( | char * | dest | ) | const

Definition at line 775 of file RakNetTypes.cpp.

References g, PRINTF_64_BIT_MODIFIER, and SLNet::UNASSIGNED_RAKNET_GUID().

void RakNetGUID::ToString | ( | char * | dest,
|  | size_t | destSize
| ) |  | const

Definition at line 790 of file RakNetTypes.cpp.

References g, PRINTF_64_BIT_MODIFIER, and SLNet::UNASSIGNED_RAKNET_GUID().

unsigned long RakNetGUID::ToUint32 | ( | const RakNetGUID & | g | ) |

static

Definition at line 817 of file RakNetTypes.cpp.

References g.

Referenced by SLNet::AddressOrGUID::ToInteger().

## Member Data Documentation

uint64_t SLNet::RakNetGUID::g

Definition at line 328 of file types.h.

Referenced by FromString(), SLNet::RakPeer::GenerateGUID(), SLNet::RakPeer::GenerateSeedFromGuid(), operator!=(), operator<(), operator=(), operator==(), operator>(), SLNet::BitStream::Read(), SLNet::RakPeer::Startup(), ToString(), ToUint32(), and SLNet::BitStream::Write().

SystemIndex SLNet::RakNetGUID::systemIndex

Definition at line 353 of file types.h.

Referenced by SLNet::RakPeer::CloseConnection(), SLNet::RakPeer::GetGuidFromSystemAddress(), SLNet::RakPeer::GetIndexFromGuid(), SLNet::RakPeer::GetSystemAddressFromGuid(), SLNet::RakPeer::GetSystemIndexFromGuid(), operator=(), SLNet::ProcessOfflineNetworkPacket(), RakNetGUID(), and SLNet::RakPeer::RunUpdateCycle().

The documentation for this struct was generated from the following files:

- Source/include/slikenet/types.h
- Source/src/RakNetTypes.cpp